property pCastORIG, pCastFB1, pFB2, pCastFB2, pCUR, pMASK, pCURdn, pMASKdn

on getPropertyDescriptionList
  pippo = the memberNum of sprite the currentSpriteNum
  pluto = pippo + 1
  paperino = pippo + 2
  propertyDescriptionList = [#pCastORIG: [#comment: "Numero elemento del Cast di origine del bottone", #format: #integer, #default: pippo], #pCastFB1: [#comment: "Numero elemento del Cast del primo feedback", #format: #integer, #default: pluto], #pFB2: [#comment: "E' previsto il secondo feedback?", #format: #boolean, #default: 0], #pCastFB2: [#comment: "Eventuale numero elemento del Cast del secondo feedback", #format: #integer, #default: paperino], #pCUR: [#comment: "Numero elemento del Cast da utilizzare come cursore", #format: #bitmap, #default: member(100)], #pMASK: [#comment: "Maschera cursore", #format: #bitmap, #default: member(101)], #pCURdn: [#comment: "Numero elemento del Cast da utilizzare come cursore per il mousedown", #format: #bitmap, #default: member(102)], #pMASKdn: [#comment: "Maschera cursore", #format: #bitmap, #default: member(103)]]
  return propertyDescriptionList
end

on mouseWithin me
  set the memberNum of sprite the currentSpriteNum to pCastFB1
  cursor(280)
  updateStage()
end

on mouseLeave me
  set the memberNum of sprite the currentSpriteNum to pCastORIG
  cursor(-1)
  updateStage()
end

on mouseDown me
  cursor(280)
  repeat while the stillDown
    if pFB2 = 1 then
      set the memberNum of sprite the currentSpriteNum to pCastFB2
    end if
    updateStage()
  end repeat
end
